import { Request as ExpressRequest, Response as ExpressResponse } from "express";
import { stringify } from "querystring";

const AUTHORIZE_URL = "https://discord.com/api/oauth2/authorize";

export const get = async (req: ExpressRequest, res: ExpressResponse): Promise<void> => {
    const params = stringify({
        client_id: process.env.BOT_CLIENT_ID,
        redirect_url: process.env.WEB_AUTH_URI,
        response_type: "code",
        scope: "identify",
    });
    res.redirect(`${AUTHORIZE_URL}?${params}`);
};
